QueryHandler (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Interface QueryHandler

- All Known Implementing Classes:
    CustomPayloadMirroringQueryHandler, QueryProcessor

      public interface QueryHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParsedStatement.Prepared` | `getPrepared(MD5Digest id)`
    `ParsedStatement.Prepared` | `getPreparedForThrift(java.lang.Integer id)`
    `ResultMessage.Prepared` | `prepare(java.lang.String query, QueryState state, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload)`
    `ResultMessage` | `process(java.lang.String query, QueryState state, QueryOptions options, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload, long queryStartNanoTime)`
    `ResultMessage` | `processBatch(BatchStatement statement, QueryState state, BatchQueryOptions options, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload, long queryStartNanoTime)`
    `ResultMessage` | `processPrepared(CQLStatement statement, QueryState state, QueryOptions options, java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload, long queryStartNanoTime)`

- - ### Method Detail

    - #### process

          ResultMessage process(java.lang.String query,
                                QueryState state,
                                QueryOptions options,
                                java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload,
                                long queryStartNanoTime)
                         throws RequestExecutionException,
                                RequestValidationException

      Throws:
        `RequestExecutionException`
        `RequestValidationException`

    - #### prepare

          ResultMessage.Prepared prepare(java.lang.String query,
                                         QueryState state,
                                         java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload)
                                  throws RequestValidationException

      Throws:
        `RequestValidationException`

    - #### getPrepared

          ParsedStatement.Prepared getPrepared(MD5Digest id)

    - #### getPreparedForThrift

          ParsedStatement.Prepared getPreparedForThrift(java.lang.Integer id)

    - #### processPrepared

          ResultMessage processPrepared(CQLStatement statement,
                                        QueryState state,
                                        QueryOptions options,
                                        java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload,
                                        long queryStartNanoTime)
                                 throws RequestExecutionException,
                                        RequestValidationException

      Throws:
        `RequestExecutionException`
        `RequestValidationException`

    - #### processBatch

          ResultMessage processBatch(BatchStatement statement,
                                     QueryState state,
                                     BatchQueryOptions options,
                                     java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload,
                                     long queryStartNanoTime)
                              throws RequestExecutionException,
                                     RequestValidationException

      Throws:
        `RequestExecutionException`
        `RequestValidationException`

Copyright © 2018 The Apache Software Foundation